import 'package:flutter/material.dart';
import 'package:flutter_webrtc/webrtc.dart';
import 'package:agora_flutter_webrtc/agora_flutter_webrtc.dart';

class AgoraVideoView extends StatelessWidget {
  final AgoraStream stream;
  AgoraVideoView(this.stream);

  @override
  Widget build(BuildContext context) {
    return Container(
      key: ValueKey(stream.getId()),
      child: RTCVideoView(stream.render),
    );
  }
}