const VERSION = "1.0.0";

const WEBCS_DOMAIN = [
  "webrtc2-ap-web-1.agora.io",
  "webrtc2-ap-web-2.agoraio.cn",
];

const WEBCS_DOMAIN_BACKUP_LIST = [
  "webrtc2-ap-web-3.agora.io",
  "webrtc2-ap-web-4.agoraio.cn",
];

const AgoraProfile = {
  '180p': {
    'width': 320,
    'height': 180,
    'frameRate': 15,
    'bitRate': 140,
  },
  '240p': {
    'width': 320,
    'height': 240,
    'frameRate': 15,
    'bitRate': 200,
  },
  '360p': {
    'width': 640,
    'height': 360,
    'frameRate': 15,
    'bitRate': 400,
  },
  '480p': {
    'width': 640,
    'height': 480,
    'frameRate': 15,
    'bitRate': 500,
  },
  '720p': {
    'width': 1280,
    'height': 720,
    'frameRate': 15,
    'bitRate': 1130,
  },
  '1080p': {
    'width': 1920,
    'height': 1080,
    'frameRate': 15,
    'bitRate': 2080,
  }
};
