class Compress {
  static final source = {
    "googActualEncBitrate": "A_aeb",
    "googAvailableSendBandwidth": "A_asb",
    "googRetransmitBitrate": "A_rb",
    "googAvailableReceiveBandwidth": "A_arb",
    "googTargetEncBitrate": "A_teb",
    "googBucketDelay": "A_bd",
    "googTransmitBitrate": "A_tb",
    "googCodecName": "A_cn",
    "bytesSent": "bytesSent",
    "packetsLost": "packetsLost",
    "packetsSent": "packetsSent",
    "googAdaptationChanges": "A_ac",
    "googAvgEncodeMs": "A_aem",
    "googEncodeUsagePercent": "A_eup",
    "googFirsReceived": "A_fr",
    "googFrameHeightInput": "A_fhi",
    "googFrameHeightSent": "A_fhs",
    "googFrameRateInput": "A_fri",
    "googFrameRateSent": "A_frs",
    "googFrameWidthInput": "A_fwi",
    "googFrameWidthSent": "A_fws",
    "googNacksReceived": "A_nr",
    "googPlisReceived": "A_pr",
    "googRtt": "A_rtt",
    "aecDivergentFilterFraction": "A_adff",
    "audioInputLevel": "A_ail",
    "googEchoCancellationReturnLoss": "A_ecrl",
    "googEchoCancellationReturnLossEnhancement": "A_ecrle",
    "googResidualEchoLikelihood": "A_rel",
    "googResidualEchoLikelihoodRecentMax": "A_relrm",
    "googTargetDelayMs": "A_tdm",
    "bytesReceived": "bytesReceived",
    "packetsReceived": "packetsReceived",
    "googDecodeMs": "A_dm",
    "googMaxDecodeMs": "A_mdm",
    "googRenderDelayMs": "A_rdm",
    "googFrameWidthReceived": "A_fwr",
    "googFrameHeightReceived": "A_fhr",
    "googFrameRateReceived": "A_frr",
    "googFrameRateDecoded": "A_frd",
    "googFrameRateOutput": "A_fro",
    "googJitterBufferMs": "A_jbm",
    "googCurrentDelayMs": "A_cdm",
    "googMinPlayoutDelayMs": "A_mpdm",
    "googNacksSent": "A_ns",
    "googPlisSent": "A_ps",
    "googFirsSent": "A_fs",
    "audioOutputLevel": "A_aol",
    "googAccelerateRate": "A_ar",
    "googDecodingCNG": "A_dcng",
    "googDecodingCTN": "A_dctn",
    "googDecodingCTSG": "A_dctsg",
    "googDecodingNormal": "A_dn",
    "googDecodingPLC": "A_dplc",
    "googDecodingPLCCNG": "A_dplccng",
    "googExpandRate": "A_er",
    "googJitterReceived": "A_jr",
    "googPreemptiveExpandRate": "A_per",
    "googPreferredJitterBufferMs": "A_pjbm",
    "googSecondaryDecodedRate": "A_sdr",
    "googSpeechExpandRate": "A_ser",
    "uplink_fraction_lost": "B_ufl",
    "uplink_cumulative_lost": "B_ucl",
    "uplink_available_bandwidth": "B_uab",
    "access_delay": "B_acd",
    "uplink_network_quality": "B_unq",
    "downlink_network_quality": "B_dnq",
    "pub_audio_lost_ratio_400ms": "B_palr4",
    "pub_video_lost_ratio_400ms": "B_pvlr4",
    "e2e_delay": "B_ed",
    "audio_delay": "B_ad",
    "video_delay": "B_vd",
    "stream_type": "B_st",
    "e2e_audio_lost_ratio_400ms": "B_ealr4",
    "e2e_video_lost_ratio_400ms": "B_evlr4",
    "downlink_estimate_bandwidth": "B_deb",
  };

  static String encode(text) {
    if (source[text] != null) {
      return source[text];
    } else {
      return text;
    }
  }
}
