const APErrorCode = {
  // AccessPoint
  '101100': 'NO_FLAG_SET',
  '101101': 'FLAG_SET_BUT_EMPTY',
  '101102': 'INVALID_FALG_SET',
  '101203': 'NO_SERVICE_AVIABLE',

  // UniLbs
  '0': 'OK_CODE',
  '5': 'INVALID_VENDOR_KEY',
  '7': 'INVALID_CHANNEL_NAME',
  '8': 'INTERNAL_ERROR',
  '9': 'NO_AUTHORIZED',
  '10': 'DYNAMIC_KEY_TIMEOUT',
  '11': 'NO_ACTIVE_STATUS',
  '13': 'DYNAMIC_KEY_EXPIRED',
  '14': 'STATIC_USE_DYANMIC_KEY',
  '15': 'DYNAMIC_USE_STATIC_KEY',

  // https://confluence.agora.io/pages/viewpage.action?pageId=324534422
  '1010100': 'NO_FLAG_SET',
  '1010101': 'FLAG_SET_BUT_EMPTY',
  '1010102': 'INVALID_FALG_SET',
  '1010200': 'NO_SERVICE_AVAILABLE',
  '1010203': 'NO_SERVICE_AVAILABLE_WEBRTC',
  '1010205': 'NO_SERVICE_AVAILABLE_DISPATCHER',
  '1010208': 'NO_SERVICE_AVAILABLE_APPCENTER',
  '1010211': 'NO_SERVICE_AVAILABLE_SUA',

  // unilbs
  '2010005': 'INVALID_VENDOR_KEY',
  '2010007': 'INVALID_CHANNEL_NAME',
  '2010008': 'INTERNAL_ERROR',
  '2010009': 'NO_AUTHORIZED',
  '2010010': 'DYNAMIC_KEY_TIMEOUT',
  '2010011': 'NO_ACTIVE_STATUS',
  '2010013': 'DYNAMIC_KEY_EXPIRED',
  '2010014': 'STATIC_USE_DYANMIC_KEY',
  '2010015': 'DYNAMIC_USE_STATIC_KEY',
};



const int CONNECT_CHOOSE_SERVER_FALIED = 101;
const int CONNECT_WEBSOCKET_FALIED = 102;
const int JOIN_REQUEST_FAILED = 103;
const int PUBLISH_FAILED = 104;
const int UNPUBLISH_FAILED = 105;
const int SUBSCRIBE_FAILED = 106;
const int UNSUBSCRIBE_FAILED = 107;
